//leaflet map
var osmUrl = 'http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png',
	osmAttrib = '&copy; <a href="http://openstreetmap.org/copyright">OpenStreetMap</a> contributors',
	osm = L.tileLayer(osmUrl, {maxZoom: 18, attribution: osmAttrib}),
	map = new L.Map('map', {layers: [osm], center: new L.LatLng(51.509, -0.08), zoom: 14 }).setView([0, 0], 2);

var drawnItems = new L.FeatureGroup();
map.addLayer(drawnItems);

var polyLayers = [];

// Add the layers to the drawnItems feature group 
for(layer of polyLayers) {
	drawnItems.addLayer(layer);	
}

// Set the title to show on the polygon button
L.drawLocal.draw.toolbar.buttons.polygon = 'Draw a polygon!';

var drawControl = new L.Control.Draw({
	position: 'topright',
	draw: {
		polyline: false,
		circle: false,
		marker: false
	},
	edit: {
		featureGroup: drawnItems,
		edit: false,
		remove: true
	}
});
map.addControl(drawControl);

map.on('draw:created', function (e) {
	var type = e.layerType,
		layer = e.layer;

	if (type === 'marker') {
		layer.bindPopup('A popup!');
	}

	drawnItems.addLayer(layer);
	var cordinates = layer.getLatLngs();
});

map.on('draw:edited', function (e) {
	var layers = e.layers;
	var countOfEditedLayers = 0;
	layers.eachLayer(function(layer) {
		countOfEditedLayers++;
	});
	console.log("Edited " + countOfEditedLayers + " layers");
});
